Skip to content
Proud to collaborate with Microsoft for Startups

argocd.certificate.list-certificates ​

List all available repository certificates

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-argocd
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Argocd API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
hostnamepatternstringNo—A file-glob pattern (not regular expression) the host name has to match.
certtypestringNo—The type of the certificate to match (ssh or https).
certsubtypestringNo—The sub type of the certificate to match (protocol dependent, usually only used for ssh certs).

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Argocd API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
hostnamepatternstringNo—A file-glob pattern (not regular expression) the host name has to match.
certtypestringNo—The type of the certificate to match (ssh or https).
certsubtypestringNo—The sub type of the certificate to match (protocol dependent, usually only used for ssh certs).
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /api/v1/certificates
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /api/v1/certificates
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "argocd.certificate.list-certificates",
  "initial_data": {
    "base_url": "value"
  }
}